Bug 121100 - cursor position and filter setting is lost after restart
cursor position and filter setting is lost after restart
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-17 02:00 EDT by Jan Martinek
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 13:25:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Martinek 2004-04-17 02:00:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6b)
Gecko/20031210 Galeon/1.3.12

Description of problem:
When evolution is started over, the filter setting is lost.
Not only the searched string, but also the item where to search
(like Message contains, Body contains ...)
So when I filter my messages according to
Message contains "Hello"
and restart evolution, I always end up with empty filter
and the item "Subject contains" is preset.

After restart, there is also the cursor position lost.
I think that the highlighted message should be the same
even after restart, but it is not.

Version-Release number of selected component (if applicable):
evolution-1.4.5-7

How reproducible:
Always

Steps to Reproduce:
1. Set the message filtering - search something like
Body does not contain "Hi"
2. Highlight some email
3. Quit evolution
4. Start evolution again
5. You get different state
    

Expected Results:  Evolution should remember filter settings and which
message is highlighted.

Additional info:
Comment 1 Matthew Miller 2006-07-11 13:39:23 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 2 John Thacker 2006-10-28 13:25:54 EDT
Closing per lack of response.  Note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  Please install a still supported version and
retest.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.